import 'package:puma_core/redux/error/errorAction.dart';
import 'package:puma_network/constants.dart';
import 'package:puma_network/entities/apiError.dart';
import 'package:puma_network/redux/api/apiAction.dart';

class ApiErrorAction implements ErrorAction {
  final int timestamp;
  final ApiError error;
  final APIAction? originAction;

  final String networkCompletionKey;
  final String dispatcherKey = constDispatcherKey;

  ApiErrorAction(this.error,
      {this.networkCompletionKey = "", this.originAction})
      : timestamp = DateTime.now().millisecondsSinceEpoch;
}
