import 'package:http/http.dart';
import 'package:puma_core/redux/core/coreAction.dart';
import 'package:redux/redux.dart';

class ResponseAction implements CoreAction {
  final int timestamp;
  final String networkCompletionKey;
  final String dispatcherKey;
  final Response? response;
  final Function(Store, Response)? decodeResponse;

  dispatchDecodeResponse(Store store) {
    this.decodeResponse!(store, this.response!);
  }

  ResponseAction(
      {this.response,
      this.dispatcherKey = "",
      this.decodeResponse,
      this.networkCompletionKey = ""})
      : timestamp = DateTime.now().millisecondsSinceEpoch;
}

class EmptyResponse extends ResponseAction {}
